Pin or Unpin Flow tasks.flow.Flow.pin

Scope: task

Who can execute the method: a user who can see the flow in the list of flows

This method pins or unpins a flow in the list of flows by its identifier.

Method Parameters

Required parameters are marked with *

Name
type

Description

flowId*
integer

The identifier of the flow to be pinned or unpinned.

You can obtain the identifier using the method to create a new flow tasks.flow.Flow.create or the method to get a task tasks.task.get for a task from the flow

Code Examples

How to Use Examples in Documentation

curl -X POST \
        -H "Content-Type: application/json" \
        -d '{
            "flowId": 517
        }' \
        https://your-domain.bitrix24.com/rest/_USER_ID_/_CODE_/tasks.flow.Flow.pin
        
curl -X POST \
        -H "Content-Type: application/json" \
        -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
        -d '{
            "flowId": 517
        }' \
        https://your-domain.bitrix24.com/rest/tasks.flow.Flow.pin
        
try
        {
        	const response = await $b24.callMethod(
        		'tasks.flow.Flow.pin',
        		{
        			flowId: 517
        		}
        	);
        	
        	const result = response.getData().result;
        	console.info(result);
        }
        catch( error )
        {
        	console.error(error);
        }
        
try {
            $response = $b24Service
                ->core
                ->call(
                    'tasks.flow.Flow.pin',
                    [
                        'flowId' => 517
                    ]
                );
        
            $result = $response
                ->getResponseData()
                ->getResult();
        
            if ($result->error()) {
                error_log($result->error());
                echo 'Error: ' . $result->error();
            } else {
                echo 'Info: ' . print_r($result->data(), true);
            }
        
        } catch (Throwable $e) {
            error_log($e->getMessage());
            echo 'Error calling tasks.flow.Flow.pin: ' . $e->getMessage();
        }
        
BX24.callMethod(
            'tasks.flow.Flow.pin',
            {
                flowId: 517
            },
            function(result) {
                if (result.error()) {
                    console.error(result.error());
                } else {
                    console.info(result.data());
                }
            }
        );
        
require_once('crest.php'); // connecting CRest PHP SDK
        
        $flowId = 517;
        
        // executing request to REST API
        $result = CRest::call(
            'tasks.flow.Flow.pin',
            [
                'flowId' => $flowId
            ]
        );
        
        // Processing the response from Bitrix24
        if ($result['error']) {
            echo 'Error: '.$result['error_description'];
        } else {
            print_r($result['result']);
        }
        

Response Handling

HTTP status: 200

{
            "result": true
        }
        

Returned Data

Name
type

Description

result
boolean

The result of the method execution. Possible values:

  • true — flow is pinned
  • false — flow is unpinned

Error Handling

HTTP status: 200

{
            "error": "0",
            "error_description": "Unknown error"
        }
        

Possible Error Codes

Code

Description

Additional Information

0

Access denied or flow not found

The account plan does not allow working with flows or the user does not have permission to perform the operation

0

Unknown error

Unknown error

Statuses and System Error Codes

HTTP Status: 20x, 40x, 50x

The errors described below may occur when calling any method.

Status

Code
Error Message

Description

500

INTERNAL_SERVER_ERROR
Internal server error

An internal server error has occurred, please contact the server administrator or Bitrix24 technical support

500

ERROR_UNEXPECTED_ANSWER
Server returned an unexpected response

An internal server error has occurred, please contact the server administrator or Bitrix24 technical support

503

QUERY_LIMIT_EXCEEDED
Too many requests

The request intensity limit has been exceeded

405

ERROR_BATCH_METHOD_NOT_ALLOWED
Method is not allowed for batch usage

The current method is not allowed to be called using batch

400

ERROR_BATCH_LENGTH_EXCEEDED
Max batch length exceeded

The maximum length of parameters passed to the batch method has been exceeded

401

NO_AUTH_FOUND
Wrong authorization data

Invalid access token or webhook code

400

INVALID_REQUEST
Https required

The methods must be called using the HTTPS protocol

503

OVERLOAD_LIMIT
REST API is blocked due to overload

The REST API is blocked due to overload. This is a manual individual block, to remove it you need to contact Bitrix24 technical support

403

ACCESS_DENIED
REST API is available only on commercial plans

The REST API is available only on commercial plans

403

INVALID_CREDENTIALS
Invalid request credentials

The user whose access token or webhook was used to call the method lacks permissions

404

ERROR_MANIFEST_IS_NOT_AVAILABLE
Manifest is not available

The manifest is not available

403

insufficient_scope
The request requires higher privileges than provided by the webhook token

The request requires higher privileges than those provided by the webhook token

401

expired_token
The access token provided has expired

The provided access token has expired

403

user_access_error
The user does not have access to the application

The user does not have access to the application. This means that the application is installed, but the account administrator has allowed access to this application only for specific users

500

PORTAL_DELETED
Portal was deleted

The public part of the site is closed. To open the public part of the site on an on-premise installation, disable the option "Temporary closure of the public part of the site". Path to the setting: Desktop > Settings > Product Settings > Module Settings > Main Module > Temporary closure of the public part of the site

Continue Learning